# Class Classpath

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.Classpath

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

public class Classpath extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Classpath()`
  Creates a new `Classpath`.
  `Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
  Creates a new `Classpath`.
  `Classpath(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
  Creates a new `Classpath`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `configure(List<?> newEntries)`
  Configure.
  `boolean`
  `equals(Object o)`
  `FileReference`
  `fileReference(Object reference)`
  Creates a new `FileReference` instance.
  `protected String`
  `getDefaultResourceName()`
  `List<ClasspathEntry>`
  `getEntries()`
  Returns the entries.
  `int`
  `hashCode()`
  `protected void`
  `load(Node xml)`
  `void`
  `setEntries(List<ClasspathEntry> entries)`
  Sets the entries.
  `protected void`
  `store(Node xml)`
  `String`
  `toString()`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Classpath

    public Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)
    Creates a new `Classpath`.
    Since:
      1.0

  - ### Classpath

    public Classpath(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)
    Creates a new `Classpath`.
    Since:
      3.0

  - ### Classpath

    public Classpath()
    Creates a new `Classpath`.
    Since:
      1.0

- ## Method Details

  - ### getEntries

    public List<ClasspathEntry> getEntries()
    Returns the entries.
    Since:
      1.0

  - ### setEntries

    public void setEntries(List<ClasspathEntry> entries)
    Sets the entries.
    Since:
      1.0

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### load

    protected void load(Node xml)
    Overrides:
      `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### configure

    public Object configure(List<?> newEntries)
    Configure.
    Since:
      1.0

  - ### store

    protected void store(Node xml)
    Overrides:
      `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### fileReference

    public FileReference fileReference(Object reference)
    Creates a new `FileReference` instance.

    The created object can be used to configure custom source or javadoc location on `Library` and on `Variable` objects.

    This method can receive either String or File instances.

    Parameters:
      `reference` - The object to transform into a new file reference. Can be instance of File or String.
    Returns:
      The new file reference.
    Since:
      3.0
    See Also:
      - `AbstractLibrary.setJavadocPath(FileReference)`
      - `AbstractLibrary.setSourcePath(FileReference)`